\subsection{ST[19] - Event-Action}

\begin{longtable}{p{\textwidth}}
\toprule
\rowcolor{yellow!30} The event-action service type provides the capability to define on-board actions that can be autonomously executed after the occurrence of a specific on-board event.\\
\midrule
\rowcolor{gray!20}\textbf{ST[19] - event-action subservice}\\
\midrule
The event-action subservice shall provide the capability to enable the event-action function.\\
Note: The corresponding message type is TC[19,8].\\
\midrule
The event-action subservice shall provide the capability to disable the event-action function.\\
Note: The corresponding message type is TC[19,9].\\
\midrule
The event-action subservice shall provide the capability to enable a event-action definition.\\
Note: The corresponding message type is TC[19,4].\\
\midrule
The event-action subservice shall provide the capability to disable a event-action definition.\\
Note: The corresponding message type is TC[19,5].\\
\midrule
The event-action subservice shall provide the capability to add a event-action definition.\\
Note: The corresponding message type is TC[19,1].\\
\midrule
The event-action subservice shall provide the capability to delete a event-action definition.\\
Note: The corresponding message type is TC[19,2].\\
\midrule
The event-action subservice shall provide the capability to delete all event-action definitions.\\
Note: The corresponding message type is TC[19,3].\\
\midrule
The event-action subservice shall provide the capability to report the status of a event-action definition.\\
Note: The corresponding message type for the request is TC[19,6]. The corresponding message type for the report is TM[19,7].\\
\midrule
The event-action subservice shall provide the capability to report a event-action definition.\\
Note: The corresponding message type for the request is TC[19,10]. The corresponding message type for the report is TM[19,11].\\
\bottomrule
\end{longtable}

